package ZipTeamOrange.controller;

import ZipTeamOrange.model.Chat;
import ZipTeamOrange.repository.ChatRepository;
import ZipTeamOrange.repository.MessageRepository;
import ZipTeamOrange.repository.UserRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/chat")
@CrossOrigin(origins = {"http://localhost:8103"})
public class ChatController {

    @Autowired
    private ChatRepository chatRepository;

    @Autowired
    private MessageRepository messageRepository;

    @Autowired
    private UserRepository userRepository;

    private static final Logger logger = LoggerFactory.getLogger(ChatController.class);

    @PostMapping(path="/add")
    public @ResponseBody
    Chat addNewChat(@RequestBody Chat chat){
        chatRepository.save(chat);
        return  chat;
    }

    @GetMapping(path="/all")
    public @ResponseBody Iterable<Chat> getAllChat() {
        //this returns a JSON or XML with chats
        return chatRepository.findAll();

    }
}
