package ZipTeamOrange.repository;

import ZipTeamOrange.model.Chat;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface ChatRepository extends JpaRepository<Chat, Long> {

    Optional<Chat> findById(Long chatId);

    Page<Chat> findByCreatedBy(Long userId, Pageable pageable);

    long countByCreatedBy(Long userId);

    List<Chat> findByIdIn(List<Long> chatIds);

    List<Chat> findByIdIn(List<Long> chatIds, Sort sort);

}

